package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.Media;
import com.realnet.vpspack.Services.MediaService ;


@RequestMapping(value = "/Media")
 @CrossOrigin("*") 
@RestController
public class MediaController {
	@Autowired
	private MediaService Service;

@Value("${projectPath}")
	private String projectPath;
 


	@PostMapping("/Media")
		  public Media Savedata(@RequestBody Media data) {
		Media save = Service.Savedata(data)	;

		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Media/{id}")
	public  Media update(@RequestBody Media data,@PathVariable Integer id ) {
		Media update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Media/getall/page")
	public Page<Media> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Media> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Media")
	public List<Media> getdetails() {
		 List<Media> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Media")
	public List<Media> getallwioutsec() {
		 List<Media> get = Service.getdetails();		
		return get;
}
@GetMapping("/Media/{id}")
	public  Media  getdetailsbyId(@PathVariable Integer id ) {
		Media  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Media/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}



}